export interface TimeCutPlugin {
    dispose(): void;
    enable(): void;
    disable(): void;
    setCut(cut: TimeCut): void;
    setCutManaged(cut: TimeCut): void;
}
export interface TimeCut {
    start: number;
    end: number;
}
export interface TimeCutPluginOptions {
    cut?: TimeCut;
    enabled?: boolean;
}
export type TimeCutIndicatorType = 'start' | 'end';
export interface TimeCutIndicatorComponent {
    dispose(): void;
    disable(): void;
    update(type: TimeCutIndicatorType, time: number): void;
}
